include Path.incl 

include $(SCIDIR)/Makefile.incl

all	:: builder.sce 
	@echo "running builder (be patient)"
	@echo "In case of problems execute builder.sce form scilab"
	@echo "to have more informations"
	@$(SCIDIR)/util/scidem $(SCIDIR) builder.sce builder.dia
	@echo "At Scilab prompt, enter:";
	@echo "-->exec loader.sce";
	@echo "----------------------------------------------------";

tests	:: all
	cd examples 
	make distclean 
	make tests 

clean	::
	cd C-src; make clean 
	cd macros ; make clean 

distclean:: clean 
	cd C-src; make distclean 
	cd macros ; make distclean 




